import { DeletableEntity } from "../../../Core/DeletableEntity";
import type { IDeletable } from "../../../Core/IDeletable";
import type { NumberRange } from "../../../Core/NumberRange";
import type { IntVector, SCRTDoubleVector, TSciChart } from "../../../types/TSciChart";
import { EDataSeriesType } from "../IDataSeries";
import type { IPointSeries, IPointSeriesResampled } from "./IPointSeries";
import { XyPointSeriesResampled } from "./XyPointSeriesResampled";
export declare class XyNPointSeriesResampled extends DeletableEntity implements IPointSeries, IPointSeriesResampled, IDeletable {
    readonly type: EDataSeriesType;
    subSeries: XyPointSeriesResampled[];
    protected readonly valueNames: string[];
    readonly arrayCount: number;
    xRange: NumberRange;
    readonly resampled = true;
    fifoStartIndex: number;
    protected wasmContext: TSciChart;
    constructor(wasmContext: TSciChart, xRange: NumberRange, arrayCount?: number, valueNames?: string[]);
    get intIndexes(): IntVector;
    get indexes(): SCRTDoubleVector;
    get xValues(): SCRTDoubleVector;
    get count(): number;
    get yValues(): SCRTDoubleVector;
    getYValues(i?: number): SCRTDoubleVector;
    getYValuesByName(name: string): SCRTDoubleVector;
    getSubSeriesByName(name: string): XyPointSeriesResampled;
    delete(): void;
    clearIntIndexes(): void;
}
